Bug 50970 - fails to obtain IP during normal boot with pcmcia
fails to obtain IP during normal boot with pcmcia
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: dhcpcd (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-05 16:28 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 06:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-05 16:28:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5-beta2va3.11-sg i686; en-US;
rv:0.9.1) Gecko/20010607

Description of problem:
dhcpcd fails to obtain an ip interface on normal boot.  "network restart"
or "if-up eth0" also fail.

Assigning a static IP, downing the network, and restarting with dynamic IP
works.  Manually running dhcpcd also works, after making sure no dhcpcd
process is already running (saw that once).


System is an IBM570E thinkpad that was running RedHat 7.1 and a 2.4 kernel
successfully.

How reproducible:
Always

Steps to Reproduce:
1.boot system in run level 3 or 5
2.system fails to obtain ip address
3.either 

a. assign static IP and do "service network restart" or equivalent to force
IP assignment
b. verify works (ifconfig, ping,..)
c. change eth0 config to dynamic (editing ifcfg-eth0 manually)
d. restart network and verify dynamic IP assigned.
	
-or-

a. down eth0
b. verify (using ps, kill) no other dhcpcd processes running
c. dhcpcd eth0
d.  verify ip assigned.


Actual Results:  Was able to get ip assigned after manual intervention as
described above

Additional info:

Same hardware worked fine running 7.1

Note:  system was UPGRADED from 7.1 with a 2.4.5 kernel.
System uses 3comm PCMCIA ethernet card
Comment 1 Elliot Lee 2001-08-05 16:44:53 EDT
I'm pretty sure that problems with pcmcia networking are known issues. Not sure
if this is the same one, though.
Comment 2 Glen Foster 2001-08-06 18:40:32 EDT
We (Red Hat) should try to fix this for the next release.
Comment 3 Brian Powers 2001-08-10 06:23:09 EDT
I have the same problem with eth0 using a pci adapter (tulip) while doing an
upgrade.  same with a clean install but lo doesn't come up either.
Comment 4 Bill Nottingham 2001-08-23 22:29:20 EDT
This should be fixed in the second roswell tree.
Comment 5 Bill Nottingham 2001-08-23 22:29:46 EDT
(Please reopen if it persists)

Note You need to log in before you can comment on or make changes to this bug.